Skip to main content
POST
/
v1
/
playbooks
/
run
RunPlaybook
curl --request POST \
  --url https://app.textql.com/v1/playbooks/run \
  --header 'Authorization: Bearer <token>' \
  --header 'Connect-Protocol-Version: <connect-protocol-version>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "playbookId": "<string>",
  "dryRun": true,
  "templateId": "<string>"
}
'
import requests

url = "https://app.textql.com/v1/playbooks/run"

payload = {
"playbookId": "<string>",
"dryRun": True,
"templateId": "<string>"
}
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({playbookId: '<string>', dryRun: true, templateId: '<string>'})
};

fetch('https://app.textql.com/v1/playbooks/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "chatId": "<string>",
  "report": {
    "subject": "<string>",
    "summary": "<string>",
    "blocks": [
      {
        "card": {
          "blocks": "<array>"
        }
      }
    ],
    "htmlPreview": "<string>",
    "chatId": "<string>",
    "reportId": "<string>"
  },
  "assets": [
    {
      "target": "<string>",
      "previewType": "<string>",
      "name": "<string>",
      "url": "<string>",
      "content": "<string>",
      "error": "<string>"
    }
  ]
}
{
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}
v2 available: See POST /v2/playbooks//run for the REST-native version of this endpoint.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Connect-Protocol-Version
enum<number>
required

Define the version of the Connect protocol

Available options:
1
Connect-Timeout-Ms
number

Define the timeout, in ms

Body

application/json
playbookId
string
Minimum string length: 1
dryRun
boolean
templateId
string | null

Response

Success

chatId
string
report
report · object
assets
PreviewCell · object[]